%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_pkgdir: %global lua_pkgdir %{_datadir}/lua/%{lua_version}}

%global luapkgname cldr
%global reponame %{luapkgname}-lua

Name:          lua-%{luapkgname}
Version:       0.2.0
Release:       1%{?dist}
Summary:       Unicode CLDR (Common Locale Data Repository) data and Lua interface.

License:       MIT
URL:           https://github.com/alerque/%{reponame}
Source0:       https://github.com/alerque/%{reponame}/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch

Requires:      lua-penlight

BuildRequires: lua-devel
BuildRequires: lua-penlight
BuildRequires: luarocks

%description
Unicode CLDR (Common Locale Data Repository) data and Lua interface.

The Unicode CLDR provides key building blocks for software to support
the world's languages, with the largest and most extensive standard
repository of locale data available.

%prep
%autosetup -n %{reponame}-%{version}

%install
rm -rf %{buildroot}
luarocks --tree=%{buildroot}/usr \
    make --deps-mode=none --no-manifest

# Remove luarocks metadata
rm -rf %{buildroot}/usr/lib

%files
%doc README.md
%license LICENSE
%{lua_pkgdir}/*

%changelog
* Sat Jun 18 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.2.0-1
- Initial spec file for lua-cldr
